> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получить результат checkout

> Возвращает легковесный полезная нагрузка результата checkout для страниц успешного завершения или отмены на сайте.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/billing/checkout/result
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/checkout/result:
    get:
      tags:
        - public-accounts
      summary: Получить результат checkout
      description: >-
        Возвращает легковесный полезная нагрузка результата checkout для страниц
        успешного завершения или отмены на сайте.
      operationId: >-
        get_checkout_result_v1_public_accounts__account_id__billing_checkout_result_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: plan_key
          required: true
          schema:
            title: Plan Key
            type: string
        - in: query
          name: checkout_token
          required: true
          schema:
            title: Checkout Token
            type: string
        - in: query
          name: hosted_page_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Hosted Page Id
        - in: query
          name: status_hint
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status Hint
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutResultResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
components:
  schemas:
    CheckoutResultResponse:
      properties:
        account:
          $ref: '#/components/schemas/AccountSummaryResponse'
          description: Сводная информация об аккаунте Checkout
        auth_required_for_dashboard:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Требуется ли доступ к панели управления аутентификацией
          title: Для панели требуется аутентификация
        checkout_token:
          description: Токен продолжения оформления заказа
          title: Токен checkout
          type: string
        dashboard_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL-адрес панели управления для учетной записи
          title: URL панели
        message:
          description: Сообщение о результате оформления заказа
          title: Сообщение
          type: string
        plan_key:
          description: Выбранный ключ тарифного плана
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: Ключ плана
          type: string
        status:
          description: Статус результата оформления заказа
          title: Статус
          type: string
      required:
        - plan_key
        - status
        - message
        - account
        - checkout_token
      title: CheckoutResultResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    AccountSummaryResponse:
      description: Безопасная сводка аккаунта, возвращаемая на сайт.
      properties:
        account_id:
          description: UUID аккаунта
          title: Id аккаунта
          type: string
        chargebee_subscription_status:
          anyOf:
            - type: string
            - type: 'null'
          description: Статус подписки Chargebee
          title: Статус подписки Chargebee
        currency:
          description: Код платежной валюты
          title: Валюта
          type: string
      required:
        - account_id
        - currency
      title: AccountSummaryResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object

````